<template>
    <el-dialog :title="titleMap[mode]" v-model="visible" :width="500" destroy-on-close @closed="$emit('closed')">
        <el-form ref="dialogForm" :model="formData" :rules="rules" label-width="100px" label-position="top">
            <el-form-item label="达人抖音号" prop="name">
                <el-input v-model="formData.name" clearable placeholder="请输入"></el-input>
                <div class="el-form-item-msg">输入抖音号后，点击保存，系统自动获取达人基础信息</div>
            </el-form-item>
            <el-form-item label="状态" prop="status">
                <el-radio-group v-model="formData.status">
                    <el-radio-button :label="1">正常</el-radio-button>
                    <el-radio-button :label="2">禁用</el-radio-button>
                </el-radio-group>
                <div class="el-form-item-msg">禁用后的达人不可绑定直播计划</div>
            </el-form-item>
        </el-form>
		<template #footer>
            <el-button @click="visible=false" size="large">取 消</el-button>
            <el-button v-if="mode!='show'" size="large" type="primary" :loading="isSaveing" @click="submit()">保 存</el-button>
		</template>
    </el-dialog>
    
</template>

<script>
export default {
    data(){
        return {
            loading: false,
            isSaveing: false,
            mode:"add",
            titleMap:{
                add:"绑定达人",
                edit:"绑定达人"
            },
            visible:false,
            formData:{
                status:1
            },
            rules:{
                enable: [
                    {required: true, message: '请选择'}
                ],
                name: [
                    {required: true, message: '请输入'}
                ]
            }
        }
    },
    methods:{
        open(mode = 'add'){
            this.mode = mode;
            this.visible = true;
            return this
        },
        //表单注入数据
        setData(data){
            this.formData = JSON.parse(JSON.stringify(data));
        },
        async submit(){
            var validate = await this.$refs.dialogForm.validate().catch(()=>{});
            if(!validate){ return false }
            this.isSaveing = true;
            let submitData = JSON.parse(JSON.stringify(this.formData));
            var resp = await this.$API.merStar.save.post(submitData);
            this.isSaveing = false;
            if (resp.code == 0) {
                return this.$message.error(resp.msg);
            }
            this.$message.success(resp.msg);
            this.visible = false;
            this.formData = {status:1};
            this.$emit("success");
        }
    }
}
</script>

<style>
.text-center{text-align: center;}
</style>